Annotate Span Documents
curl --request POST \
--url https://api.example.com/v1/document_annotations \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"name": "<string>",
"span_id": "<string>",
"document_position": 123,
"result": {
"label": "<string>",
"score": 123,
"explanation": "<string>"
},
"metadata": {},
"identifier": ""
}
]
}
'{
"data": [
{
"id": "<string>"
}
]
}Spans
Annotate Span Documents
POST
/
v1
/
document_annotations
Annotate Span Documents
curl --request POST \
--url https://api.example.com/v1/document_annotations \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"name": "<string>",
"span_id": "<string>",
"document_position": 123,
"result": {
"label": "<string>",
"score": 123,
"explanation": "<string>"
},
"metadata": {},
"identifier": ""
}
]
}
'{
"data": [
{
"id": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Query Parameters
If set to true, the annotations are inserted synchronously.
Body
application/json
Show child attributes
Show child attributes
Response
Span document annotation inserted successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

